Bug 42984 - Update port: sysutils/xmbmon
Update port: sysutils/xmbmon
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: pat
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-20 12:20 UTC by kaz
Modified: 2003-02-05 00:53 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description kaz 2002-09-20 12:20:02 UTC
	xmbmon - a X and non-X mother board monitor, has major version up-ed
	to 2.00.

Fix: 

-- 
Ãæ¼Ï»֡÷¿À¸Í		<mailto:kaz@kobe1995.net>
NAKAMURA Kazushi@KOBE	<http://kobe1995.net/>
- Be Free(BSD) or Die.--T5fo9UZrp1Qnp0VYBbdbjHuXZkFInTsmWMXH0Yx2fWqAFnOu
Content-Type: text/plain; name="file.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.shar"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	xmbmon
#	xmbmon/files
#	xmbmon/files/patch-aa
#	xmbmon/pkg-comment
#	xmbmon/Makefile
#	xmbmon/pkg-plist
#	xmbmon/pkg-descr
#	xmbmon/distinfo
#
echo c - xmbmon
mkdir -p xmbmon > /dev/null 2>&1
echo c - xmbmon/files
mkdir -p xmbmon/files > /dev/null 2>&1
echo x - xmbmon/files/patch-aa
sed 's/^X//' >xmbmon/files/patch-aa << 'END-of-xmbmon/files/patch-aa'
X--- Makefile.in~	Fri Aug 23 03:03:21 2002
X+++ Makefile.in	Fri Sep 20 01:08:39 2002
X@@ -13,9 +13,9 @@
X 
X DEFS=-DHAVE_CONFIG_H -Wall
X 
X-LIBDIR=/usr/X11R6/lib
X+LIBDIR=$(X11BASE)/lib
X INCDIR=.
X-XINCDIR=/usr/X11R6/include
X+XINCDIR=$(X11BASE)/include
X XLIB=-lXaw -lXmu
X EXTENSIONLIB=-lXext
X INCLUDES=-I$(INCDIR)
X@@ -23,9 +23,9 @@
X LIBS=-L$(LIBDIR) -lXaw $(XLIB) -lXt $(EXTENSIONLIB) -lX11 -lm
X 
X #CC=/compat/linux/usr/bin/gcc
X-CC=gcc
X-CFLAGS=-O3 $(INCLUDES) $(DEFS)
X-CFLAGSX=-O3 $(XINCLUDES) $(DEFS)
X+CC?=gcc
X+CFLAGS+= $(INCLUDES) $(DEFS)
X+CFLAGSX= $(XINCLUDES) $(CFLAGS)
X LDFLAGS=-s
X 
X LINT=lint
X@@ -34,16 +34,19 @@
X RM=rm -f
X INSTALL=install
X 
X-INST_DIR=/usr/local/bin
X-INST_XDIR=/usr/X11R6/bin
X-INST_XRDIR=/usr/X11R6/lib/X11/app-defaults
X+INST_DIR=$(PREFIX)/bin
X+INST_XDIR=$(PREFIX)/bin
X+INST_XRDIR=$(X11BASE)/lib/X11/app-defaults
X  
X .c.o:
X 	$(CC) -c $(CFLAGS) $*.c
X 
X-PROGRAM = mbmon xmbmon
X-
X+PROGRAM = mbmon
X TESTPROG = testpci testsmb testhwm testfan
X+DOCS=	00README.txt	00READMEj.txt	DEBUG_Info	xmbmon.resources
X+PROGRAM+= xmbmon
X+  
X+all: $(PROGRAM) $(TESTPROG)
X 
X MB_OBJ  = getMB-via.o getMB-smb.o getMB-isa.o
X SMB_OBJ = smbus_piix4.o smbus_amd.o smbus_ali.o
X@@ -115,8 +118,14 @@
X 	$(RM) Makefile config.cache config.log config.h config.status
X 
X install: $(PROGRAM)
X-	$(INSTALL) -o root -g wheel -m 4555 -c -p mbmon $(INST_DIR)
X-	$(INSTALL) -o root -g wheel -m 4555 -c -p xmbmon $(INST_XDIR)
X+	@for i in $(PROGRAM); do \
X+		$(INSTALL) -o root -g wheel -m 4555 -c -p $$i $(INST_DIR); \
X+	done
X 
X lint:
X 	$(LINT) $(INCLUDES) $(DEFS) $(FONTDEFINES) $(SRCS) -lm
X+
X+install-doc: $(DOCS)
X+	@for f in $(DOCS); do \
X+		$(INSTALL_DATA) $$f $(DOCSDIR)/; \
X+	done
END-of-xmbmon/files/patch-aa
echo x - xmbmon/pkg-comment
sed 's/^X//' >xmbmon/pkg-comment << 'END-of-xmbmon/pkg-comment'
XX/tty motherboard monitor for LM78/79, W8378x, AS99127F and VT82C686
END-of-xmbmon/pkg-comment
echo x - xmbmon/Makefile
sed 's/^X//' >xmbmon/Makefile << 'END-of-xmbmon/Makefile'
X# ports collection makefile for:	xmbmon
X# Date created:	2001/08/30
X# Whom:		kaz
X#
X# $FreeBSD: ports/sysutils/xmbmon/Makefile,v 1.4 2002/03/12 02:51:41 pat Exp $
X#
X
XPORTNAME=	xmbmon
XPORTVERSION=	200
XCATEGORIES=	sysutils
XMASTER_SITES=	http://www.nt.phys.kyushu-u.ac.jp/shimizu/download/
XDISTNAME=	${PORTNAME}${PORTVERSION:S/p/pl/}
X
XMAINTAINER=	kaz@kobe1995.net
X
XGNU_CONFIGURE=	yes
XDOCS=	00README.txt	00READMEj.txt	DEBUG_Info	xmbmon.resources
X
XWITHOUT_X11?= no
X
X.if (${WITHOUT_X11} == yes)
XMAKE_ARGS+=	WITHOUT_X11=yes DOCSDIR='$(DOCSDIR)' INSTALL_DATA='$(INSTALL_DATA)'
XDOCS=   	00README.txt    00READMEj.txt   DEBUG_Info
XPLIST_SUB=	X11_ONLY="@comment "
X.else
XUSE_XLIB=	yes
XMAKE_ARGS+=	DOCSDIR='$(DOCSDIR)' INSTALL_DATA='$(INSTALL_DATA)'
XPLIST_SUB=	X11_ONLY=""
X.endif
X
X.include <bsd.port.pre.mk>
X
Xpre-extract:
X	@${ECHO}
X	@${ECHO} "set WITHOUT_X11 variable to 'yes' if you want to build without X11"
X	@${ECHO}
X
Xpost-patch:
X	@${MV} -f ${WRKSRC}/Makefile.in ${WRKSRC}/Makefile.in.X
X.if ${WITHOUT_X11} == yes
X	@${GREP} -v '^PROGRAM+=' ${WRKSRC}/Makefile.in.X | ${SED} 's/__DOCS__/$(DOCS)/' > ${WRKSRC}/Makefile.in
X.else
X	@${SED} 's/__DOCS__/$(DOCS)/' ${WRKSRC}/Makefile.in.X > ${WRKSRC}/Makefile.in
X.endif
X	@${RM} -f ${WRKSRC}/Makefile.in.X
X
Xpost-install:
X.if !defined(NOPORTDOCS)
X	${MKDIR} ${DOCSDIR}
X	(cd ${WRKSRC}; ${MAKE} ${MAKE_ARGS} install-doc)
X.endif
X
X.include <bsd.port.post.mk>
END-of-xmbmon/Makefile
echo x - xmbmon/pkg-plist
sed 's/^X//' >xmbmon/pkg-plist << 'END-of-xmbmon/pkg-plist'
Xbin/mbmon
X%%X11_ONLY%%bin/xmbmon
X%%PORTDOCS%%share/doc/xmbmon/00README.txt
X%%PORTDOCS%%share/doc/xmbmon/00READMEj.txt
X%%PORTDOCS%%share/doc/xmbmon/DEBUG_Info
X%%X11_ONLY%%%%PORTDOCS%%share/doc/xmbmon/xmbmon.resources
X%%PORTDOCS%%@dirrm share/doc/xmbmon
END-of-xmbmon/pkg-plist
echo x - xmbmon/pkg-descr
sed 's/^X//' >xmbmon/pkg-descr << 'END-of-xmbmon/pkg-descr'
XThis is an X/tty motherboard monitor which supports LM78/79, WINBond
X83781D/83782D/83783S, ASUS 991227F, and VIA VT82C686A/B PC-health
Xchips via 3 methods: ISA-I/O, SMBus, VIA-direct.
X
XRun "mbmon -h" or "xmbmon -help" to see the usage.
X
X***CAUTION*** 
X
XThese programs access to the SMBus or the ISA-IO port directly under
Xthe superuser privilege, so it may cause a system crash.  Please test
X"mbmon -d" or "xmbmon -debug" first.
X
XWWW: http://www.nt.phys.kyushu-u.ac.jp/shimizu/download/download.html
X-- 
Xkaz
END-of-xmbmon/pkg-descr
echo x - xmbmon/distinfo
sed 's/^X//' >xmbmon/distinfo << 'END-of-xmbmon/distinfo'
XMD5 (xmbmon200.tar.gz) = f568d594c11b01bdfeabf3d170140828
END-of-xmbmon/distinfo
exit
How-To-Repeat: 
	Update port.
Comment 1 pat freebsd_committer 2002-11-03 16:52:56 UTC
Responsible Changed
From-To: freebsd-ports->pat

I'll take care of this one
Comment 2 kaz 2003-01-22 18:01:03 UTC
>Synopsis:  Update ports/42984: xmbmon2.01
>Severity:  non-critical
>Priority:  medium
>Category:  ports
>Class:     maintainer-update
>Release:   FreeBSD 4.7-RELEASE i386
>Fix:

diff -ruN xmbmon-/Makefile xmbmon/Makefile
--- xmbmon-/Makefile	Thu Jan 23 00:02:07 2003
+++ xmbmon/Makefile	Thu Jan 23 01:47:33 2003
@@ -1,26 +1,24 @@
 # ports collection makefile for:	xmbmon
-# Date created:	2001/08/30
-# Whom:		kaz
+# Date created:				2001/08/30
+# Whom:					kaz@kobe1995.net (NAKAMURA Kauzushi)
 #
 # $FreeBSD: ports/sysutils/xmbmon/Makefile,v 1.4 2002/03/12 02:51:41 pat Exp $
 #
 
 PORTNAME=	xmbmon
-PORTVERSION=	200
+PORTVERSION=	201
 CATEGORIES=	sysutils
 MASTER_SITES=	http://www.nt.phys.kyushu-u.ac.jp/shimizu/download/
-DISTNAME=	${PORTNAME}${PORTVERSION:S/p/pl/}
+.if defined(WITHOUT_X11)
+PKGNAMESUFFIX=	-nox11
+.endif
+DISTNAME=	${PORTNAME}${PORTVERSION}
 
 MAINTAINER=	kaz@kobe1995.net
 
 GNU_CONFIGURE=	yes
-DOCS=	00README.txt	00READMEj.txt	DEBUG_Info	xmbmon.resources
-
-WITHOUT_X11?= no
-
-.if (${WITHOUT_X11} == yes)
-MAKE_ARGS+=	WITHOUT_X11=yes DOCSDIR='$(DOCSDIR)' INSTALL_DATA='$(INSTALL_DATA)'
-DOCS=   	00README.txt    00READMEj.txt   DEBUG_Info
+.if defined(WITHOUT_X11)
+MAKE_ARGS+=	DOCSDIR='$(DOCSDIR)' INSTALL_DATA='$(INSTALL_DATA)'
 PLIST_SUB=	X11_ONLY="@comment "
 .else
 USE_XLIB=	yes
@@ -28,21 +26,12 @@
 PLIST_SUB=	X11_ONLY=""
 .endif
 
-.include <bsd.port.pre.mk>
-
-pre-extract:
-	@${ECHO}
-	@${ECHO} "set WITHOUT_X11 variable to 'yes' if you want to build without X11"
-	@${ECHO}
-
-post-patch:
-	@${MV} -f ${WRKSRC}/Makefile.in ${WRKSRC}/Makefile.in.X
-.if ${WITHOUT_X11} == yes
-	@${GREP} -v '^PROGRAM+=' ${WRKSRC}/Makefile.in.X | ${SED} 's/__DOCS__/$(DOCS)/' > ${WRKSRC}/Makefile.in
-.else
-	@${SED} 's/__DOCS__/$(DOCS)/' ${WRKSRC}/Makefile.in.X > ${WRKSRC}/Makefile.in
-.endif
-	@${RM} -f ${WRKSRC}/Makefile.in.X
+pre-everything::
+	@${ECHO_CMD} ""
+	@${ECHO_CMD} "Definable build options"
+	@${ECHO_CMD} "-----------------------"
+	@${ECHO_CMD} "WITHOUT_X11	- Self explanatory"
+	@${ECHO_CMD} ""
 
 post-install:
 .if !defined(NOPORTDOCS)
@@ -50,4 +39,4 @@
 	(cd ${WRKSRC}; ${MAKE} ${MAKE_ARGS} install-doc)
 .endif
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
diff -ruN xmbmon-/distinfo xmbmon/distinfo
--- xmbmon-/distinfo	Thu Jan 23 00:02:07 2003
+++ xmbmon/distinfo	Thu Jan 23 00:25:50 2003
@@ -1 +1 @@
-MD5 (xmbmon200.tar.gz) = f568d594c11b01bdfeabf3d170140828
+MD5 (xmbmon201.tar.gz) = 1774fdd5ef6b6fa6b119ca5826381aac
diff -ruN xmbmon-/files/patch-aa xmbmon/files/patch-aa
--- xmbmon-/files/patch-aa	Thu Jan 23 00:02:07 2003
+++ xmbmon/files/patch-aa	Thu Jan 23 02:40:21 2003
@@ -25,7 +25,7 @@
  LDFLAGS=-s
  
  LINT=lint
-@@ -34,16 +34,19 @@
+@@ -34,14 +34,20 @@
  RM=rm -f
  INSTALL=install
  
@@ -43,13 +43,14 @@
 -
 +PROGRAM = mbmon
  TESTPROG = testpci testsmb testhwm testfan
-+DOCS=	00README.txt	00READMEj.txt	DEBUG_Info	xmbmon.resources
++DOCS=	00README.txt 00READMEj.txt 00READMEtech.txt
++.if !defined(WITHOUT_X11)
++DOCS+=	xmbmon.resources
 +PROGRAM+= xmbmon
++.endif
 +  
 +all: $(PROGRAM) $(TESTPROG)
  
- MB_OBJ  = getMB-via.o getMB-smb.o getMB-isa.o
- SMB_OBJ = smbus_piix4.o smbus_amd.o smbus_ali.o
 @@ -115,8 +118,14 @@
  	$(RM) Makefile config.cache config.log config.h config.status
  
@@ -63,7 +64,7 @@
  lint:
  	$(LINT) $(INCLUDES) $(DEFS) $(FONTDEFINES) $(SRCS) -lm
 +
-+install-doc: $(DOCS)
++install-doc:
 +	@for f in $(DOCS); do \
 +		$(INSTALL_DATA) $$f $(DOCSDIR)/; \
 +	done
diff -ruN xmbmon-/pkg-descr xmbmon/pkg-descr
--- xmbmon-/pkg-descr	Thu Jan 23 00:02:07 2003
+++ xmbmon/pkg-descr	Thu Jan 23 01:55:12 2003
@@ -12,4 +12,4 @@
 
 WWW: http://www.nt.phys.kyushu-u.ac.jp/shimizu/download/download.html
 -- 
-kaz
+kaz@kobe1995.net (NAKAMURA Kazushi)
diff -ruN xmbmon-/pkg-plist xmbmon/pkg-plist
--- xmbmon-/pkg-plist	Thu Jan 23 00:02:07 2003
+++ xmbmon/pkg-plist	Thu Jan 23 00:37:54 2003
@@ -2,6 +2,6 @@
 %%X11_ONLY%%bin/xmbmon
 %%PORTDOCS%%share/doc/xmbmon/00README.txt
 %%PORTDOCS%%share/doc/xmbmon/00READMEj.txt
-%%PORTDOCS%%share/doc/xmbmon/DEBUG_Info
+%%PORTDOCS%%share/doc/xmbmon/00READMEtech.txt
 %%X11_ONLY%%%%PORTDOCS%%share/doc/xmbmon/xmbmon.resources
 %%PORTDOCS%%@dirrm share/doc/xmbmon
-- 
$BCfB<OB;V!w?@8M(B		<mailto:kaz@kobe1995.net>
NAKAMURA Kazushi@KOBE	<http://kobe1995.net/>
- Be Free(BSD) or Die.
Comment 3 pat freebsd_committer 2003-02-05 00:53:02 UTC
State Changed
From-To: open->closed

Committed, Thanks!